## ------------------------------------------------------------------------
rm(list = ls())
library(SADISA)

## ------------------------------------------------------------------------
abund <- c(1717,1681,983,788,755,724,681,644,617,381,379,376,364,346,345,325,322,294,289,
           288,285,264,248,244,236,236,229,218,203,201,188,184,177,167,164,163,156,149,147,
           143,121,118,111,101,100,99,98,98,98,93,92,92,88,87,85,85,82,81,80,78,76,70,68,68,
           67,67,64,63,63,61,58,55,55,55,54,52,52,51,50,49,47,45,45,43,43,41,40,39,39,38,38,
           36,33,33,33,33,33,32,31,30,29,29,28,28,28,27,27,27,26,26,26,26,25,25,25,25,23,23,
           23,23,22,22,22,21,21,21,21,20,19,18,17,16,16,16,15,15,15,14,14,14,13,13,13,13,13,
           12,12,12,12,12,12,12,10,10,10,10,10,10,10,9,9,8,8,8,7,7,7,7,7,7,6,5,5,5,5,5,5,5,5,
           4,4,4,4,4,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
           1,1,1,1,1)

## ------------------------------------------------------------------------
model <- c('pm','dl')

## ------------------------------------------------------------------------
pars <- c(4.793930230665386e+01, 2.174825700126286e+03)

## ------------------------------------------------------------------------
result <- SADISA_loglik(abund = abund,pars = pars,model = model)
result

## ------------------------------------------------------------------------
initpars <- c(40,2000)
idpars <- c(1,1)

## ------------------------------------------------------------------------
initpars <- c(40,2000)
idpars <- c(0,1)

## ------------------------------------------------------------------------
labelpars <- c(1,2)

## ------------------------------------------------------------------------
data(datasets)

## ------------------------------------------------------------------------
abund <- datasets$dset2.abunvec[[1]]

## ------------------------------------------------------------------------
data(fitresults)
pars <- fitresults$fit4.parsopt[[1]]

## ------------------------------------------------------------------------
labelpars <- list(c(1,2),c(1,2),c(1,2))
initpars <- c(pars[[1]][1],pars[[1]][2])
idpars <- c(0,1)

## ------------------------------------------------------------------------
labelpars <- list(c(1,2),c(1,3),c(1,4))
initpars <- c(pars[[1]][1],pars[[1]][2],pars[[2]][2],pars[[3]][2])
idpars <- c(0,1,1,1)

## ------------------------------------------------------------------------
labelpars <- list(c(1,2),c(1,3),c(1,4))
initpars <- c(pars[[1]][1],pars[[1]][2],pars[[2]][2],pars[[3]][2])
idpars <- c(0,1,1,1)

## ------------------------------------------------------------------------
abund1a <- abund[[1]]
abund1b <- abund[[2]]
abund1c <- abund[[3]]
abund2 <- list(list(abund1a,abund1a),list(abund1b,abund1b),list(abund1c,abund1c))
labelpars <- list(list(c(1,2),c(1,3)),list(c(1,2),c(1,3)),list(c(1,2),c(1,3)))
initpars <- c(pars[[1]][1],pars[[1]][2],pars[[2]][2])
idpars <- c(0,1,1)

